Page MenuHomePhabricator

Deploy Growth features on Georgian Wikipedia
Open, MediumPublicAug 24 2021

Description

NOTE: The configuration for the Growth features will be on wiki at Special:EditGrowthConfig.

General translations

  • Translate the interface (on translatewiki.net, needs a specific account)
  • Translate aliases:
    • Special:WelcomeSurvey -> სპეციალური:მოგესალმებით გამოკითხვა
    • Special:Homepage -> სპეციალური:საწყისი გვერდი
    • Special:Impact -> სპეციალური:Გავლენა
    • Special:ClaimMentee -> სპეციალური:მოითხოვეთ ახალი მომხმარებელი

Help panel

TaskLabelTranslation of the label
Manual of styleHow to write a good articleროგორ დავწეროთ კარგი სტატია
Help:EditingHow to edit a pageროგორ შევცვალოთ გვერდი
Inserting images (using the visual editor)How to insert imagesროგორ ჩადეთ სურათები
Inserting references (using the visual editor)How to insert referencesროგორ ჩადეთ მითითებები
Article WizardHow to create an articleროგორ შევქმნათ სტატია

Mentorship module (optional)

  1. Encourage community members to become mentors (can be done later). If done:
  2. The signature list has been formatted like it should be.
  3. Add the signature list to Q14339834.

Suggested edits

Templates and help pages are listed on wiki, at Special:EditGrowthConfig.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 2 2021, 2:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm_WMF triaged this task as Medium priority.

Change 709515 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth features: Enable features in dark mode on a few wikis

https://gerrit.wikimedia.org/r/709515

Change 709515 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth features: Enable features in dark mode on a few wikis

https://gerrit.wikimedia.org/r/709515

Mentioned in SAL (#wikimedia-operations) [2021-08-02T18:45:30Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: 18cd360773a2a236f9817ac0a4eaf3790b6d8cff: Growth features: Enable features in dark mode on a few wikis (T287876, T287871, T287878, T287880, T287875, T287879, T287872; 1/2) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-08-02T18:46:42Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 18cd360773a2a236f9817ac0a4eaf3790b6d8cff: Growth features: Enable features in dark mode on a few wikis (T287876, T287871, T287878, T287880, T287875, T287879, T287872; 2/2) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-08-02T18:49:12Z] <urbanecm> Run extensions/GrowthExperiments/maintenance/initWikiConfig.php on a couple of wikis to init on-wiki config for Growth features (T287876, T287871, T287878, T287880, T287875, T287879, T287872)

@Trizek-WMF Growth features were just deployed in dark mode at this wiki. Please have a look, and let me know when it's time to promote the wiki out of dark mode.

Note I did not yet add special page aliases and copy help panel links descriptions -- I will do that ASAP.

FYI, I just copied the help link description translations from this task to community configuration (ie. Special:EditGrowthConfig), so they should now be also actually applied.

Change 714366 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth features: Promote 9 wikis out of dark mode

https://gerrit.wikimedia.org/r/714366

Change 714378 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for three languages

https://gerrit.wikimedia.org/r/714378

Change 714366 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth features: Promote 9 wikis out of dark mode

https://gerrit.wikimedia.org/r/714366

Mentioned in SAL (#wikimedia-operations) [2021-08-24T20:55:00Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: a6fd96b15e6e3c068c2faac60208b9722d32af0f: Growth features: Promote 9 wikis out of dark mode (T287871; T287874; T287872; T287880; T287868; T287873; T287879; T287875; T287876) (duration: 01m 25s)

@Trizek-WMF Hello, I just promoted Growth features out of dark mode on this wiki, as today is the due date set here. Let me know if you need any changes!

Change 714378 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for three languages

https://gerrit.wikimedia.org/r/714378

Etonkovidova added a subscriber: Etonkovidova.

GrowthExperiments work as expected. I've updated the task description

Note:

  • only 1% is translated
  • aliases for Special pages are not yet in place